Loading...
Searching...
No Matches
FFT1D.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/DATATYPE/regularData1D.h>`
`#include <cmath>`
`#include <complex>`
`#include <fftw3.h>`
`#include <BALL/COMMON/constants.h>`
`#include <BALL/MATHS/fftwCommon.h>`

Go to the source code of this file.

## Classes

class | BALL::TFFT1D< ComplexTraits >

## Namespaces

namespace | BALL

## Typedefs

typedef TFFT1D< BALL_FFTW_DEFAULT_TRAITS > | BALL::FFT1D

## Functions

template<typename ComplexTraits>
const RegularData1D & | BALL::operator<< (RegularData1D &to, const TFFT1D< ComplexTraits > &from)